osmium::thread::Pool::thread_joiner Class Reference

## Public Member Functions

| thread_joiner (std::vector< std::thread > &threads)
| ~thread_joiner ()

## Private Attributes

std::vector< std::thread > & | m_threads

## Detailed Description

This class makes sure all pool threads will be joined when the pool is destructed.

## Constructor & Destructor Documentation

osmium::thread::Pool::thread_joiner::thread_joiner | ( | std::vector< std::thread > & | threads | ) |

inline explicit

osmium::thread::Pool::thread_joiner::~thread_joiner | ( |  | ) |

inline

## Member Data Documentation

std::vector<std::thread>& osmium::thread::Pool::thread_joiner::m_threads

private

The documentation for this class was generated from the following file:

- osmium/thread/pool.hpp